Bug 4338 - (int-112403) Applets are added to config automatically when installed
(int-112403)
: Applets are added to config automatically when installed
Status: CLOSED FIXED
Product: Desktop platform
Home
: 5.0-beta
: All Linux
: Low normal (vote)
: 5.0-beta2
Assigned To: unassigned
: home-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-04-20 13:25 UTC by Murray Cumming
Modified: 2009-07-24 18:54 UTC (History)
2 users (show)

See Also:


Attachments
example-clock-applet-0.2.0.tar.gz (327.82 KB, application/x-gzip)
2009-04-21 18:09 UTC, Murray Cumming
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-04-20 13:25:59 UTC
Whenever I install a home applet, even if that applet already existed, a new
instance of the applet is added to the current user's desktop. That's rather
annoying, particularly when doing "make install" several times while developing
code for a home applet.
Comment 1 Andre Klapper maemo.org 2009-04-21 16:10:17 UTC
Can you provide a better step-by-step how-to to reproduce?
I know that you saved some time, but using the default template is really
helpful when it comes to discussing with developers internally.
Comment 2 Murray Cumming (reporter) 2009-04-21 18:09:29 UTC
Created an attachment (id=1177) [details]
example-clock-applet-0.2.0.tar.gz

To reproduce, build this example with configure, make, and make install, with
hildon-home running.

Each make install seems to add a new instance of the applet, by adding a new
entry in the ~/.config/hildon-desktop/home.plugins file. I guess that
hildon-home is watching a directory but is reacting when a file is just
replaced.
Comment 3 Murray Cumming (reporter) 2009-05-04 11:06:04 UTC
This is still happening in the Beta SDK.
Comment 4 Andre Klapper maemo.org 2009-05-26 01:47:27 UTC
Fixed for Fremantle.
Comment 5 Andre Klapper maemo.org 2009-07-14 13:45:05 UTC
Fix should be included in Fremantle SDK beta 2 hence updating Target Milestone.
If you are the reporter of this bug: Feel free to verify the fix if possible.